EDIT - feature request #10333

Make publish flag editable for DescriptionBase
05/28/2023 12:27 PM - Andreas Mller

Status: Closed Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.38

Severity: normal

Description

.. in description details view (and other if available, e.g. matrix or distribution editor)

and show according icon if a description is not published (see also #8930)

Related issues:

Related to EDIT - feature request #10206: Add publish flag to description base Closed
Related to EDIT - feature request #10334: Evaluate DescriptionBase.publish in... Closed
Related to EDIT - feature request #8930: Publishable objects should show icon... Closed

Associated revisions

Revision 3f420e59 - 06/01/2023 09:22 AM - Katja Luther
ref #10333: add publish checkbox to details view of description

History

#1 - 05/28/2023 12:28 PM - Andreas Miiller
- Related to feature request #10206: Add publish flag to description base added

#2 - 05/28/2023 12:45 PM - Andreas Miuller

- Related to feature request #10334: Evaluate DescriptionBase.publish in webservices added

#3 - 05/28/2023 12:48 PM - Andreas Miiller
- Description updated

- Target version changed from Unassigned CDM tickets to Release 5.44

#4 - 05/28/2023 12:49 PM - Andreas Miiller
- Related to feature request #8930: Publishable objects should show icon if they are unpublished added

#5 - 05/31/2023 01:35 PM - Andreas Miller

- Target version changed from Release 5.44 to Release 5.38

#6 - 06/01/2023 11:47 AM - Andreas Miiller
- Status changed from New to Feedback

- % Done changed from 0 to 60

Editing is implemented and works. Only the recommended icon is still missing. New ticket or easy to fix?

#7 - 06/01/2023 11:50 AM - Katja Luther

| think we need a new icon, which we can use for the navigator and in the factual data view. Therefore | would move it to a new ticket and solve it

together with #8930.

#8 - 06/01/2023 12:32 PM - Andreas Miiller
- Status changed from Feedback to Closed
- % Done changed from 60 to 100
https://dev.e-taxonomy.eu/redmine/issues/8930
https://dev.e-taxonomy.eu/redmine/issues/8930

Maybe we can describe #8930 a bit more general and include the DescriptionBase publish icons there. Also we could add
SpecimenOrObservationBase publish icon handling as all of them should use the same icon.

| moved it there for now and close this ticket.
